Update customer fee tier

This feature allows updating a customer fee tier for an existing customer, only if the fee is already configured in the system.

SecurityoAuth2
Request
path Parameters
customerUID
required
string

Customer unique identifier associated with the customer in the Finzly's CRM system

feeId
required
integer <int64>

Customer feeTier unique identifier associated with the customer in the Finzly's CRM system

Request Body schema: application/json
required

Update fee tier details

application
string

A valid application name should be present in the Finzly system and enabled for fees. e.g. Confirms, FX FrontOffice, Deposit, Teller, FX Trader, Foreign Exchange, Payment Galaxy, etc...

accountNumber
string

A valid account number should be present in the Finzly system and associated with the respective Legal Entity (LE).

feeTier
string

A valid fee tier must be available in the Finzly system. Please reach out to the bank support team for the correct value.

feeName
string

A valid fee name must be available in the Finzly system. Please reach out to the bank support team for the correct value.

product
string

A valid product must be available in the Finzly system. Please reach out to the bank support team for the correct value.

Responses
200

Successfully processed request

400

bad input parameter environment

401

You are not authorized to access the V3CreateAccountRequest_accountFeatures_achFeature_1

403

Accessing the resource you were trying to reach is forbidden

404

The resource you were trying to reach is not found

405

bad input parameter environment

500

Something went wrong on back end.

503

Service unavailable

default

Customer fee tier id.

put/v1/customers/{customerUID}/fees/{feeId}
Request samples
application/json
{
  • "application": "Payment Galaxy",
  • "accountNumber": "32265656",
  • "feeTier": "Gold",
  • "feeName": "TN",
  • "product": "Outgoing Payment"
}
Response samples
application/json
{
  • "id": 889
}